 
#include "stationwidget.h"
#include <QPixmap>
#include <QPainter>
#include <QWidget>
#include <KDebug>
#include <math.h>

#define MIN(a, b) (((a) < (b)) ? (a) : (b))
#define MAX(a, b) (((a) > (b)) ? (a) : (b))



StationWidget::StationWidget(QWidget* parent):QLabel(parent)
{
	setMaximumWidth(70);
	setMaximumHeight(24);
	isMouse=false;
};

StationWidget::~StationWidget()
{
	
};
void StationWidget::enterEvent(QEvent* event)
{
	isMouse=true;
	update();
};

void StationWidget::leaveEvent(QEvent* event)
{
	isMouse=false;
	update();
};

void StationWidget::paintEvent(QPaintEvent* event)
{
	QLabel::paintEvent(event);
	//kDebug()<<size()<<sizeHint();
	QPainter painter(this);
	if(isMouse) painter.fillRect(0,0,70,24,QColor(0,0,0,50));
};

#include "stationwidget.moc"
